Confirm that the channel has recieved a Zentail-initiated status change
You call thissales:orders:self
POST
/v1/salesOrder/{orderNumber}/confirmStatus
const url = 'https://api.zentail.com/v1/salesOrder/1/confirmStatus';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"status":"PENDING_PAYMENT","lineItems":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v1/salesOrder/1/confirmStatus \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "status": "PENDING_PAYMENT", "lineItems": [ "example" ] }'ConfirmStatus is an API for sales channels to use to acknowledge that they have received and accepted status changes intiated from Zentail. This should not be used to cancel or ship an order, just to confirm a status that the channel has received.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”orderNumber
required
number
Zentail order number
Request Body
Section titled “Request Body”Place all of the details in a json object in the body of the request.
Media typeapplication/json
object
status
required
string
lineItems
required
Array<string>
Responses
Section titled “ Responses ”Success
Media typeapplication/json
string
Examplegenerated
exampleBad Request
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 400}Permission Denied
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 403}Not Found
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 404}Zentail Error
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Example
{ "errorCode": 500}Zentail Error
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 503}